diff --git a/doc/src/sgml/release-7.4.sgml b/doc/src/sgml/release-7.4.sgml
index 1ddab66..88578dc 100644
--- a/doc/src/sgml/release-7.4.sgml
+++ b/doc/src/sgml/release-7.4.sgml
@@ -4254,7 +4254,7 @@ DROP SCHEMA information_schema CASCADE;
      The Python language no longer supports a restricted execution
      environment, so the trusted version of PL/Python was removed. If
      this situation changes, a version of PL/Python that can be used
-     by non-superusers will be readded.
+     by non-superusers will be read.
     </para>
    </listitem>
 
diff --git a/src/bin/pg_dump/pg_dump.c b/src/bin/pg_dump/pg_dump.c
index b26358c..c2eaa11 100644
--- a/src/bin/pg_dump/pg_dump.c
+++ b/src/bin/pg_dump/pg_dump.c
@@ -9595,7 +9595,7 @@ dumpExtension(Archive *fout, ExtensionInfo *extinfo)
 		/*
 		 * We unconditionally create the extension, so we must drop it if it
 		 * exists.  This could happen if the user deleted 'plpgsql' and then
-		 * readded it, causing its oid to be greater than g_last_builtin_oid.
+		 * read it, causing its oid to be greater than g_last_builtin_oid.
 		 * The g_last_builtin_oid test was kept to avoid repeatedly dropping
 		 * and recreating extensions like 'plpgsql'.
 		 */
